Bug 1905788 - Role name missing on create role binding form
Summary: Role name missing on create role binding form
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1903192
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-09 04:52 UTC by OpenShift BugZilla Robot
Modified: 2021-02-18 15:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Incorrect code Consequence: Role name missing on create role binding form Fix: Yes Result: Role name is present on create role binding form
Clone Of:
Environment:
Last Closed: 2021-02-08 13:50:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7476 0 None closed [release-4.6] Bug 1905788: - Role name missing on create role binding form 2021-02-17 15:35:37 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:10 UTC

Description OpenShift BugZilla Robot 2020-12-09 04:52:33 UTC
+++ This bug was initially created as a clone of Bug #1903192 +++

Created attachment 1735257 [details]
Missing role name

Description of problem:

The role name is not displayed when creating a binding from a role. (See screenshot.)

How reproducible:

Always

Steps to Reproduce:
1. Go to User Management -> Roles
2. Select cluster-admin
3. Click Actions -> Add Role Binding

Actual results:

The resulting form does not show the role name. There is a required Role Name field with no value and no input.

Expected results:

The form should show the role name as a read-only value.

--- Additional comment from jhadvig@redhat.com on 2020-12-02 18:14:27 UTC ---

Was not able to reproduce in versions:
- 4.7.0-0.nightly-2020-11-30-172451
- console master branch from 2020-12-02

Tested both:
- Chrome 87.0.4280.67
- FF 81.0

On which version did you reproduced the issue?

--- Additional comment from spadgett@redhat.com on 2020-12-02 20:30:26 UTC ---

See the environment field in the BZ for version and user agent (Firefox).

--- Additional comment from yanpzhan@redhat.com on 2020-12-03 04:23:56 UTC ---

Could reproduce the bug on OCP 4.7 cluster with version 4.7.0-0.nightly-2020-11-30-172451. There is no input box for required "Role Name" field, and still could create rolebinding/clusterrolebinding, but the rolebinding has a wrong role ref "clusteradminundefined".

Comment 2 Yadan Pei 2021-01-29 06:15:07 UTC
since PR is approved before it is merged, moving to VERIFIED

Comment 5 errata-xmlrpc 2021-02-08 13:50:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.